import sys

import numpy as np
import pylab as pl

def txt(string):
    return r'\textrm{%s}' % string

rcparams = {'font.size' : 8,
            'axes.labelsize' : 8,
            #'text.fontsize' : 8,
            'legend.fontsize': 7,
            'xtick.labelsize' : 8,
            'ytick.labelsize' : 8,
            'lines.markersize': 4,
            #'backend': 'ps',
            'text.usetex': True
            }
pl.rcParams.update(rcparams)

max_fig_width_pt = 240.71031
#max_fig_width_pt = 246.0  # Get this from LaTeX using \showthe\columnwidth
max_fig_width_inches = max_fig_width_pt / 72.27 # 3.4039...
goodfigwidth = 3.32

def axhline(ax, x=0.0, *args, **kwargs):
    ax.axhline(x, lw=.5, dashes=(1, 3), color='k', *args, **kwargs)

def axvline(ax, x=0.0, *args, **kwargs):
    ax.axvline(x, lw=.5, dashes=(1, 3), color='k', *args, **kwargs)

def str2arr(x):
    return np.array(map(float, x.split()))

def plsavefig(fig, fname, *args, **kwargs):
    for fmt in ['eps', 'pdf', 'png']:
        fig.savefig('%s.%s' % (fname, fmt), *args, **kwargs)

def plshow():
    if '--noshow' in sys.argv:
        return

    pl.show()
